Bug 6017 - User interests disappear if user profile form conditions not met
User interests disappear if user profile form conditions not met
Status: RESOLVED FIXED
Product: OMP
Classification: Unclassified
Component: General
1.0b
PC Linux
: P5 enhancement
Assigned To: Matthew Crider
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 11:41 PDT by Alec Smecher
Modified: 2011-02-01 13:53 PST (History)
1 user (show)

See Also:
Version Reported In:
Also Affects: OCS 2.3.4, OJS 2.3.4, OMP 0.9


Attachments
Patch against OJS 2.3.3-3 (8.01 KB, patch)
2011-02-01 13:53 PST, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2010-10-04 11:41:51 PDT
If you try to save the user profile without all form conditions being met (i.e. when the last name is empty), the user's interests will disappear when the form is displayed again.
Comment 1 Matthew Crider 2010-10-05 14:51:54 PDT
Fixed.

Also fixed a bug in UserManagementForm -- The interests field was only being saved when that form is used for new users, not when editing a profile (i.e. when a JM edit's a user's profile).

http://github.com/pkp/omp/commit/ae61b09e7dd2e79ebeda4f102cdfb5da2b770077
http://github.com/pkp/ojs/commit/78bee8b4a326381cf523ff1fe83b0f36d2d9b319
http://github.com/pkp/ocs/commit/0fb173280e8e44a9b1b2e3941105fc7a3e56f6d2
Comment 2 Alec Smecher 2011-02-01 13:53:12 PST
Created attachment 3418 [details]
Patch against OJS 2.3.3-3

Patch against OJS 2.3.3-3 to reconcile this entry and bring controlled vocab interest storage up to git head for 2.3.4 release (may require other patches in the recommended patch list to be applied first)